
package com.tmerclub.cloud.biz.service.impl;

import com.tmerclub.cloud.biz.dto.NotifyTemplateRemindDTO;
import com.tmerclub.cloud.biz.mapper.NotifyTemplateRemindMapper;
import com.tmerclub.cloud.biz.model.NotifyTemplateRemind;
import com.tmerclub.cloud.biz.service.NotifyTemplateRemindService;
import com.tmerclub.cloud.biz.vo.NotifyTemplateRemindVO;
import com.tmerclub.cloud.common.database.dto.PageDTO;
import com.tmerclub.cloud.common.database.util.PageUtil;
import com.tmerclub.cloud.common.database.vo.PageVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 消息提醒设置
 *
 * @author tmerclub
 * @date 2022-10-24 13:48:38
 */
@Service
public class NotifyTemplateRemindServiceImpl implements NotifyTemplateRemindService {

    @Autowired
    private NotifyTemplateRemindMapper notifyTemplateRemindMapper;

    @Override
    public PageVO<NotifyTemplateRemindVO> page(PageDTO pageDTO, NotifyTemplateRemindDTO notifyTemplateRemindDTO) {
        return PageUtil.doPage(pageDTO, () -> notifyTemplateRemindMapper.list(notifyTemplateRemindDTO));
    }

    @Override
    public NotifyTemplateRemind getByNotifyTemplateRemindId(Long notifyTemplateRemindId) {
        return notifyTemplateRemindMapper.getByNotifyTemplateRemindId(notifyTemplateRemindId);
    }

    @Override
    public void save(NotifyTemplateRemind notifyTemplateRemind) {
        notifyTemplateRemindMapper.save(notifyTemplateRemind);
    }

    @Override
    public void update(NotifyTemplateRemind notifyTemplateRemind) {
        notifyTemplateRemindMapper.update(notifyTemplateRemind);
    }

    @Override
    public void deleteById(Long notifyTemplateRemindId) {
        notifyTemplateRemindMapper.deleteById(notifyTemplateRemindId);
    }

    @Override
    public NotifyTemplateRemindVO getByTemplateIdAndShopIdAndSysType(Long templateId, Long shopId, Integer sysType) {
        return notifyTemplateRemindMapper.getByTemplateIdAndShopIdAndSysType(templateId, shopId, sysType);
    }

}
